// Konnichiwa
// unit test for MmapWrap.h
// Maciek Smuga-Otto, 2005
//
// The test opens this source file for reading, tries to read the first 14 characters (the first line)

#include "MmapWrap.h"

#include <sys/types.h>
#include <sys/file.h>

#include <cstdio>
#include <iostream>

using namespace std;

int main()
{
    int fd = open("MmapWrapTest.cc", O_RDONLY);
    assert(fd >= 0);

    const int COUNT = 14;
    MmapWrap<char> mw(fd, COUNT);
    for (int i=0; i < COUNT; ++i)
    {
	cout << mw[i];
    }
    cout << endl;

    close(fd);
}
