/*
 * \file L0L1Pipeline.cc
 * \brief Abstract class for the Level 0 - Level 1 Pipeline
 *
 * \author Maciek Smuga-Otto <maciek@ssec.wisc.edu>
 *
 *  \version $Id: L0L1Pipeline.cc,v 1.3 2005/02/17 20:15:04 maciek Exp $
 *
 *  \par Copyright:
 *  \verbatim
 *
 *  Copyright UW/SSEC, ALL RIGHTS RESERVED, 2004
 *  Space Science and Engineering Center
 *  University of Wisconsin - Madison, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  \endverbatim
 */

#include "L0L1Pipeline.h"

using namespace gips;

L0L1Pipeline::L0L1Pipeline( Ports & p ): 
    ports(p) 
{}; 

Operator::Result L0L1Pipeline::operator() ( ) 
{ 
    return Operator::UNIMPLEMENTED; 
};

L0L1Pipeline::~L0L1Pipeline() {};


